#ifndef BPSMAdvertisementBreak_h
#define BPSMAdvertisementBreak_h

#import <Foundation/Foundation.h>

//! Represents configuration for ad break like "preroll", "midroll", "postroll". It can contains multiple BPSMAdvertisementAdMedia.
@interface BPSMAdvertisementBreak : NSObject

//! [required] Advertisement playback time (in HH:MM:SS or HH:MM:SS.mmm format).
//! (For more details see VMAP documentation - https://www.iab.com/wp-content/uploads/2015/06/VMAP.pdf)
@property NSString *timeOffset;

//! String containing :
//!  - url pointing to valid VMAP xml file,
//!  - valid VAST xml data,
//!  - valid URL encoded VAST xml data.
//!  (For more details about VAST - https://www.iab.com/wp-content/uploads/2015/06/VASTv3_0.pdf)
@property NSString *vast;

//! Array of BPSMAdvertisementAdMedia objects.
@property NSMutableArray *ad;

//! Creates instance with defined timeOffset.
+ (BPSMAdvertisementBreak *) newWithTimeOffset: (NSString *)timeOffset;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMAdvertisementBreak_h */
